'use strict';

import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';

export class Note extends React.Component {
    static propTypes = {
        children: PropTypes.node.isRequired,
        className: PropTypes.string,
        noteText: PropTypes.string
    };

    static defaultProps = {
        className: null,
        noteText: 'TRANSLATE:NOTE'
    };

    render() {
        let {className, children, ...props} = this.props;

        let classNames = classnames('rc-note', className);

        return (
            <div className={classNames} {...props}>
                {this.props.noteText}: {children}
            </div>
        );
    }
}
